=== debian/changelog ===
orthanc-dicomweb (1.5+dfsg-3) unstable; urgency=medium

  * Added missing "Built-Using" attribute (backport from experimental).
    Closes: #989128

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 07 Jun 2021 11:17:44 +0200

orthanc-dicomweb (1.5+dfsg-2) unstable; urgency=medium

  * Statically link against the Orthanc framework

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 26 Feb 2021 15:25:00 +0100

orthanc-dicomweb (1.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 27 Jan 2021 07:20:10 +0100

orthanc-dicomweb (1.4+dfsg-2) unstable; urgency=medium

  * Fix paths to Bootstrap because of symlink changes in
    twitter-bootstrap4 (4.5.2+dfsg1-3). Closes: #978246

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 27 Dec 2020 15:01:34 +0100

orthanc-dicomweb (1.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 18 Dec 2020 09:04:01 +0100

orthanc-dicomweb (1.3+dfsg-2) unstable; urgency=medium

  * Fix missing include because of upgraded liborthancframework-dev

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 09 Dec 2020 18:44:40 +0100

orthanc-dicomweb (1.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Dynamic linking against "liborthancframework*"

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 19 Oct 2020 20:52:43 +0200
