=== debian/control ===
Source: orthanc-dicomweb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
	       fonts-font-awesome,
	       libjs-bootstrap4,
               libgtest-dev,
               libjs-jquery,
               liborthancframework-dev,
	       node-axios,
               orthanc-dev (>= 1.7.0),
               unzip,
               uuid-dev,
               yui-compressor
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/orthanc-dicomweb
Vcs-Git: https://salsa.debian.org/med-team/orthanc-dicomweb.git
Homepage: https://www.orthanc-server.com/static.php?page=dicomweb

Package: orthanc-dicomweb
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         orthanc (>= 1.7.0)
Built-Using: ${orthancframework:Built-Using}
Description: Plugin to extend Orthanc with support of WADO and DICOMweb
 Orthanc DICOMweb is a plugin to Orthanc, the lightweight, RESTful Vendor
 Neutral Archive for medical imaging. It extends the Orthanc core with
 support of the WADO (now known as WADO-URI) and DICOMweb (QIDO-RS,
 STOW-RS, WADO-RS) standards.
