=== debian/changelog ===
orthanc-dicomweb (1.7+dfsg-6) unstable; urgency=medium

  * Patch to deal with changes inside the node-axios package. Closes: #1023738

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 02 Dec 2022 17:00:07 +0100

orthanc-dicomweb (1.7+dfsg-5) unstable; urgency=medium

  * Re-upload of 1.7+dfsg-4 because of git issues

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 27 May 2022 11:56:40 +0200

orthanc-dicomweb (1.7+dfsg-4) unstable; urgency=medium

  * node-axios package does not provide
    /usr/share/nodejs/axios/dist/axios.min.map anymore. Closes: #1011886

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 27 May 2022 11:07:17 +0200

orthanc-dicomweb (1.7+dfsg-2) unstable; urgency=medium

  * Replace explicit restart of Orthanc by orthanc-restart-trigger

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 16 Jan 2022 16:53:42 +0100

orthanc-dicomweb (1.7+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 01 Sep 2021 12:45:02 +0200

orthanc-dicomweb (1.6+dfsg-2) experimental; urgency=medium

  * Added missing "Built-Using" attribute. Closes: #989128

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 07 Jun 2021 10:54:22 +0200

orthanc-dicomweb (1.6+dfsg-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 07 May 2021 16:28:52 +0200
