=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                unzip,
                uuid-dev,
                yui-compressor
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-dicomweb
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-dicomweb.git
 Homepage: https://www.orthanc-server.com/static.php?page=dicomweb
@@ -25,7 +25,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         orthanc (>= 1.7.0)
+         orthanc (>= 1.9.7+dfsg-6)
 Built-Using: ${orthancframework:Built-Using}
 Description: Plugin to extend Orthanc with support of WADO and DICOMweb
  Orthanc DICOMweb is a plugin to Orthanc, the lightweight, RESTful Vendor
