=== debian/changelog ===
orthanc-dicomweb (1.14+dfsg-2) unstable; urgency=medium

  * Remove autogenerated file from source directory. Closes: #1047523

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 18 Aug 2023 16:15:36 +0200

orthanc-dicomweb (1.14+dfsg-1) unstable; urgency=medium

  * New upstream version. Closes: #1041086

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 15 Jul 2023 12:37:39 +0200
