=== debian/rules ===
--- 
+++ 
@@ -51,3 +51,10 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k NEWS
+
+override_dh_clean:
+	dh_clean
+
+        # The file below is created by "override_dh_auto_configure"
+        # https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1047523
+	rm -f Resources/Samples/JavaScript/jquery.min.js
