=== debian/changelog ===
orthanc-dicomweb (1.16+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:22 +1100

orthanc-dicomweb (1.16+dfsg-1build1) noble; urgency=high

  * No change rebuild against libdcmtk17t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:47:38 +0100

orthanc-dicomweb (1.16+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 05 Jan 2024 12:42:07 +0100

orthanc-dicomweb (1.15+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Komolehin Israel Timilehin ]
  * Added autopkgtest
  * Added list of files to be installed

  [ Andreas Tille ]
  * Move source package lintian overrides to debian/source.

 -- Komolehin Israel Timilehin <komolehinisrael@gmail.com>  Wed, 01 Nov 2023 16:08:06 +0000

orthanc-dicomweb (1.15+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * Build-Depends: pybuild-plugin-pyproject

  [ Sebastien Jodogne ]
  * Fix compatibility with older versions of the Orthanc framework.
    Closes: #1054914

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 31 Oct 2023 09:31:37 +0100
