=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: orthanc-dicomweb
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 10),
-	       fonts-font-awesome,
-	       libjs-bootstrap4,
+               debhelper-compat (= 13),
+               pybuild-plugin-pyproject,
+               fonts-font-awesome,
+               libjs-bootstrap4,
                libgtest-dev,
                libjs-jquery,
                liborthancframework-dev,
-	       node-axios,
-               orthanc-dev (>= 1.9.2),
+               node-axios,
+               orthanc-dev,
                unzip,
                uuid-dev,
-               yui-compressor
+               yui-compressor,
+               zlib1g-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-dicomweb
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-dicomweb.git
 Homepage: https://www.orthanc-server.com/static.php?page=dicomweb
+Rules-Requires-Root: no
 
 Package: orthanc-dicomweb
 Architecture: any
