## orthanc-dicomweb 1.17+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,8 @@
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
 # Copyright (C) 2017-2023 Osimis S.A., Belgium
-# Copyright (C) 2021-2023 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
+# Copyright (C) 2024-2024 Orthanc Team SRL, Belgium
+# Copyright (C) 2021-2024 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -22,13 +23,13 @@
 
 project(OrthancDicomWeb)
 
-set(ORTHANC_DICOM_WEB_VERSION "1.16")
+set(ORTHANC_DICOM_WEB_VERSION "1.17")
 
 if (ORTHANC_DICOM_WEB_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.2")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.4")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -45,7 +46,7 @@
 
 # Advanced parameters to fine-tune linking against system libraries
 set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")
-set(ORTHANC_SDK_VERSION "1.12.1" CACHE STRING "Version of the Orthanc plugin SDK to use, if not using the system version (can be \"1.9.2\", \"1.11.3\", or \"1.12.1\")")
+set(ORTHANC_SDK_VERSION "1.12.1" CACHE STRING "Version of the Orthanc plugin SDK to use, if not using the system version (can be \"framework\" or \"1.12.1\")")
 set(ORTHANC_FRAMEWORK_STATIC OFF CACHE BOOL "If linking against the Orthanc framework system library, indicates whether this library was statically linked")
 mark_as_advanced(ORTHANC_FRAMEWORK_STATIC)
 
@@ -97,11 +98,7 @@
 
 
 if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
-  if (ORTHANC_SDK_VERSION STREQUAL "1.9.2")
-    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.9.2)
-  elseif (ORTHANC_SDK_VERSION STREQUAL "1.11.3")
-    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.11.3)
-  elseif (ORTHANC_SDK_VERSION STREQUAL "1.12.1")
+  if (ORTHANC_SDK_VERSION STREQUAL "1.12.1")
     include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.12.1)
   elseif (ORTHANC_SDK_VERSION STREQUAL "framework")
     set(tmp ${ORTHANC_FRAMEWORK_ROOT}/../../OrthancServer/Plugins/Include/)
@@ -205,11 +202,12 @@
 
 add_dependencies(OrthancDicomWeb AutogeneratedTarget)
 
-DefineSourceBasenameForTarget(OrthancDicomWeb)
-
 message("Setting the version of the library to ${ORTHANC_DICOM_WEB_VERSION}")
 
-add_definitions(-DORTHANC_DICOM_WEB_VERSION="${ORTHANC_DICOM_WEB_VERSION}")
+add_definitions(
+  -DORTHANC_DICOM_WEB_NAME="dicom-web"
+  -DORTHANC_DICOM_WEB_VERSION="${ORTHANC_DICOM_WEB_VERSION}"
+  )
 
 set_target_properties(OrthancDicomWeb PROPERTIES 
   VERSION ${ORTHANC_DICOM_WEB_VERSION} 
@@ -236,4 +234,7 @@
   ${GOOGLE_TEST_LIBRARIES}
   )
 
-DefineSourceBasenameForTarget(UnitTests)
+if (COMMAND DefineSourceBasenameForTarget)
+  DefineSourceBasenameForTarget(OrthancDicomWeb)
+  DefineSourceBasenameForTarget(UnitTests)
+endif()
