=== debian/changelog ===
orthanc-dicomweb (1.17+dfsg-1build1) oracular; urgency=medium

  * Rebuild against new libdcmtk18.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 09:37:47 +0200

orthanc-dicomweb (1.17+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 06 Jun 2024 08:23:35 +0200
