=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: orthanc-dicomweb
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
            Andreas Tille <tille@debian.org>
 Section: science
@@ -19,10 +18,10 @@
                uuid-dev,
                yui-compressor,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-dicomweb
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-dicomweb.git
-Homepage: https://www.orthanc-server.com/static.php?page=dicomweb
+Homepage: https://orthanc.uclouvain.be/book/plugins/dicomweb.html
 Rules-Requires-Root: no
 
 Package: orthanc-dicomweb
