## orthanc-dicomweb 1.18%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                fonts-font-awesome,
-               libjs-bootstrap4,
+               libjs-bootstrap5,
+               libjs-vue,
                libgtest-dev,
-               libjs-jquery,
                liborthancframework-dev,
                node-axios,
                orthanc-dev,
