=== debian/changelog ===
orthanc-dicomweb (1.18+dfsg-1build2) plucky; urgency=medium

  * Rebuild against new libdcmtk19.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2025 20:23:48 +0100

orthanc-dicomweb (1.18+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild for libdcmtk19.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 26 Feb 2025 14:48:51 +0000

orthanc-dicomweb (1.18+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Upgraded Bootstrap from 4 to 5. Closes: #1088427
  * Removed dependency on bootstrap-vue, no longer in use in upstream project
  * Use libjs-vue package instead of shipping our own version of Vue.js

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 20 Dec 2024 09:30:39 +0100
