## orthanc-dicomweb 1.20%2Bdfsg

=== debian/changelog ===
orthanc-dicomweb (1.20+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 13 May 2025 21:48:34 +0200
