=== debian/changelog ===
orthanc-dicomweb (1.20+dfsg-1build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Aug 2025 08:19:10 +0200
