## orthanc-dicomweb 1.21%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
         -DORTHANC_FRAMEWORK_SOURCE:STRING=system \
         -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
         -DORTHANC_FRAMEWORK_USE_SHARED:BOOL=OFF \
-        "-DORTHANC_FRAMEWORK_ADDITIONAL_LIBRARIES=boost_filesystem boost_iostreams boost_locale boost_regex boost_thread jsoncpp pugixml uuid sqlite3 dcmdata dcmjpeg dcmjpls ofstd dcmimage" \
+        "-DORTHANC_FRAMEWORK_ADDITIONAL_LIBRARIES=boost_filesystem boost_iostreams boost_locale boost_regex boost_thread jsoncpp pugixml uuid sqlite3 dcmdata dcmjpeg dcmjpls ofstd dcmimage z" \
         -DCMAKE_BUILD_TYPE=None  # The build type must be set to None, see #711515
 
 # Automated generation of the "Built-Using" attribute in "d/control"
