=== debian/changelog ===
orthanc-dicomweb (1.21+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 19 Aug 2025 14:53:25 +0200
