## orthanc-dicomweb 1.22%2Bdfsg

=== debian/changelog ===
orthanc-dicomweb (1.22+dfsg-1build1) resolute; urgency=medium

  * No-change rebuild for boost 1.90.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Feb 2026 12:29:36 +0100

orthanc-dicomweb (1.22+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 09 Dec 2025 08:16:43 +0100

orthanc-dicomweb (1.21+dfsg-2) unstable; urgency=medium

  * Added dependency on libjs-jquery. Closes: #1121714

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 01 Dec 2025 08:57:28 +0100
