=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                pybuild-plugin-pyproject,
                fonts-font-awesome,
                libjs-bootstrap5,
+               libjs-jquery,
                libjs-vue,
                libgtest-dev,
                liborthancframework-dev,
